Inhalte
Index 🔎︎

# Anweisung GoTo

Setzt die Programmausführung innerhalb einer Sub oder Function an der durch "label" gekennzeichneten Prozedurzeile fort.

## Syntax:

    GoTo label[:]

## Parameter:

label: A line identifier indicating where to continue execution. The scope of a label is that of the routine it belongs to.

Use the GoTo statement to instruct LibreOffice Basic to continue program execution at another place within the procedure. The position must be indicated by a label. To set a label, assign a name, and end it with a colon (":").

Sie können die Anweisung GoTo nicht verwenden, um aus Sub oder Function zu springen.

## Beispiel:

        Sub/Function
           ' Befehlsblock
           GoTo Label1
        Label2:
           ' Befehlsblock
           Exit Sub/Function
        Label1:
           ' Befehlsblock
           GoTo Label2
        End Sub/Function

Verwandte Themen

Anweisung GoSub … Return

Anweisung On … GoSub; Anweisung On … GoTo